This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476055 - Satellite sync is not functioning in 530 against hosted
Satellite sync is not functioning in 530 against hosted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks: 457071
  Show dependency treegraph
 
Reported: 2008-12-11 13:26 EST by Jeff Browning
Modified: 2009-09-10 16:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Browning 2008-12-11 13:26:12 EST
Description of problem:
Satellite sync is not working on Sat 530 when pointed toward a hosted environment. The related error for this is displayed when trying to activate a satellite.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Register a 530 satellite to webqa
2. Try to activate the satellite
  
Actual results:
[root@fjs-0-01 ~]# rhn-satellite-activate --rhn-cert=/530.cert
RHN_PARENT: satellite.rhn.webqa.redhat.com
Population of the Channel Family permissions failed.
Return value: 5
Standard-out: 13:20:54 Red Hat Network Satellite - live synchronization
13:20:54    url: https://satellite.rhn.webqa.redhat.com
13:20:54    debug/output level: 1
13:20:54    db:  rhnsat/<password>@rhnsat
13:20:54 
13:20:54 Retrieving / parsing channel-families data
+++ sending log as an email +++


Standard-error: 
SYNC ERROR:

(Check logs/email for potentially more detail)

ERROR: server.dump.channel_families('<the systemid>',): (-2, 'Name or service not known')




ERROR: Population of the Channel Family permissions failed.


Expected results:
Activation should complete without error.

Additional info:
Comment 5 Milan Zazrivec 2009-08-11 11:59:12 EDT
Verified in stage -> RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 16:04:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.